/*
** DIR_IO.C
**
** Compile with MSC or Turbo C.  You may need to modify the following
** code for your specfic compiler. Some older versions of MSC do not
** support directory I/O.
*/

#include <stdio.h>
#include <dos.h>
#ifdef __TURBOC__
#include <dir.h>
#endif

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE !FALSE
#endif

#ifdef _MSC_VER
static struct _find_t DirStruct;
#endif

#ifdef __TURBOC__
static char DTAbuffer[256];
static struct ffblk DirStruct;
#endif

int FindFirst(FileSpec,Buffer)
char *FileSpec;
char *Buffer;
{
#ifdef _MSC_VER
 if(_dos_findfirst(FileSpec,_A_NORMAL,&DirStruct)==0)
   {
    mmcpy(Buffer,DirStruct.name);
    return(TRUE);
   }
 return(FALSE);
#endif

#ifdef __TURBOC__
 setdta(DTAbuffer);
 if( findfirst(FileSpec,&DirStruct,0)==0)
   {
    mmcpy(Buffer,DirStruct.ff_name);
    return(TRUE);
   }
 return(FALSE);
#endif
}

int FindNext(Buffer)
char *Buffer;
{int Result;
#ifdef _MSC_VER
Result = _dos_findnext(&DirStruct);
if(Result==0)
   {
    mmcpy(Buffer,DirStruct.name);
    return(TRUE);
   }
 return(FALSE);
#endif

#ifdef __TURBOC__
 if( findnext(&DirStruct)==0 )
   {
    mmcpy(Buffer,DirStruct.ff_name);
    return(TRUE);
   }
 return(FALSE);
#endif
}

int mmcpy(Dst,Src)
char *Dst;
char *Src;
{int i;
 char c;
 for(i=0;i<13;i++)
   {c = *Src++;
    *Dst++ = c;
    if(c=='\0') break;
   }
 *Dst = '\0';
}